<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>State Class Demo</title>
</head>

<body>
<?php
//Report all errors
error_reporting(E_ALL);
?> 

<h1>State Class Demo</h1>

<?php
include 'State_Class.php';

$myStates = array();

$myStates[0] = new State("Pennsylvania");  //use the constructor to instantiate an object of the State class
$myStates[0]->State_capital = "Harrisburg"; //set the State_capital property 
$myStates[0]->State_symbol = "PA";  //Set the State_symbol property
$myStates[0]->State_sales_tax= 0.06;  //Set the State_sales_tax property

$myStates[1] = new State("New Jersey");  //use the constructor to instantiate an object of the State class
$myStates[1]->State_capital = "Trenton"; //set the State_capital property 
$myStates[1]->State_symbol = "NJ";  //Set the State_symbol property
$myStates[1]->State_sales_tax= 0.07;  //Set the State_sales_tax property

$myStates[2] = new State("Delaware");  //use the constructor to instantiate an object of the State class
$myStates[2]->State_capital = "Dover"; //set the State_capital property 
$myStates[2]->State_symbol = "DE";  //Set the State_symbol property
$myStates[2]->State_sales_tax= 0.0;  //Set the State_sales_tax property


function compareName($a, $b)
{
    if ($a->State_name == $b->State_name) {
        return 0;
    }
    return ($a->State_name < $b->State_name) ? -1 : 1;
}

function compareCapital($a, $b)
{
    if ($a->State_capital == $b->State_capital) {
        return 0;
    }
    return ($a->State_capital < $b->State_capital) ? -1 : 1;
}

echo "<h1>Original order</h1>";
foreach ($myStates as $aState) {
  echo "State: " . $aState->State_name . " Capital: " . $aState->State_capital . "<br />";
 }

usort($myStates, "compareName");
echo "<h1>Name sort</h1>";
foreach ($myStates as $aState) {
  echo "State: " . $aState->State_name . " Capital: " . $aState->State_capital . "<br />";
 }


echo "<h1>Capital sort</h1>";
usort($myStates, "compareCapital");
foreach ($myStates as $aState) {
  echo "State: " . $aState->State_name . " Capital: " . $aState->State_capital . "<br />";
 }

?>

</body>
</html>